require 'boss_spawner.boss_spawner'

-- 30 min to 2.5 hours
BossSpawner.Config.TimerRestartDelay = {Min=1800,Max=9000}

BossSpawner.GiantSteppesCorrupted =
{
	--------------------------------------------------------------------------
	-- optional keys
	--------------------------------------------------------------------------
	-- remove the lootpack table from the mobs spawned
	RemoveLootPacks = true,
	-- add the following loot packs to the given monsters
	AddLootPacks = 
	{
		"PotionsRich",
		"FilthyRich",
		"MapsHigh",
	},
	-- make sure they all have the same MobileTeamType objvar 
	-- this keeps them from fighting each other. the boss spawner
	-- defaults this value to "BossSpawner"
	MobileTeamType = "Giant",
	-- this is a title that appears under the name of the mobs
	MobileTitle = "[FF7733]-<[| [999933]Crystal Corrupted[FF7733] |]>-",

	--------------------------------------------------------------------------
	-- required keys
	--------------------------------------------------------------------------
	-- the starting stage of the boss spawner
	StartingStage = "Stage1",
	-- table containing the stages of the spawn
	Stages =
	{
		Stage1 =
		{
			MonsterList = {"giant_peon_corrupted",},
			TotalWaves = 3,
			MonstersPerWave = {Base = 1, Bonus = 0},
			Range = {Min = 4, Max = 12},
			StartWaveMessage = "Corrupted giants stomp about the area.",
			NextStage = "Stage2",
		},		
		Stage2 =
		{
			MonsterList = {"giant_peon_corrupted","giant_peon_corrupted","giant_peon_corrupted","giant_peon_corrupted","giant_enforcer_corrupted",},
			TotalWaves = 2,
			MonstersPerWave = {Base = 2, Bonus=0},
			Range = {Min = 4, Max = 12},
			StartWaveMessage = "Corrupted giants become enraged by your presence.",
			NextStage = "Stage3",
		},		
		Stage3 =
		{
			MonsterList = {"giant_peon_corrupted","giant_enforcer_corrupted",},
			TotalWaves = 1,
			MonstersPerWave = {Base = 3, Bonus=0},
			Range = {Min = 4, Max = 12},
			StartWaveMessage = "[FF7700]Corrupted Giants:[-] We smash puney human!",
			NextStage = "EndStage"
		},		
	}
}
