require 'default:globals.static_data.quests'
-- Hunting Challenges
AllQuests.HuntingChallenges = 
{ 
    { -- 1
        Name = "Messy Business",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 50,
            Key = "HuntingChallenges1",
            Type = "DynamicSpawn",
            QuestArgs = 
            {
                { "KilledMonster" }
            },
            Count = 40,
            Name = "Enemies Slain",
            NamePlural = "Enemies Slain",
        },
        Instructions = "Slay [F2F5A9]40 enemies[-] at a [F2F5A9]dynamic spawn[-] event.",
    },

    { -- 2
        Name = "Get the Big One!",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 50,
            Key = "HuntingChallenges2",
            Type = "DynamicSpawn",
            QuestArgs = 
            {
                { "KilledBoss" }
            },
            Count = 1,
            Name = "Bosses Slain",
            NamePlural = "Bosses Slain",
        },
        Instructions = "Slay [F2F5A9]1 boss[-] at a [F2F5A9]dynamic spawn[-] event.",
    },

    { -- 3
        Name = "Swords, Boards, and Bandits",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 25,
            Key = "HuntingChallenges3",
            Type = "Hunting",
            QuestArgs = 
            {
                true,
                "Bandit"
            },
            Count = 20,
            Name = "Bandit",
            NamePlural = "Bandits",
        },
        Instructions = "Kill [F2F5A9]20 bandits[-] throughout [F2F5A9]New Celeador[-].",
    },

    { -- 4
        Name = "The Weight of Scales",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 25,
            Key = "HuntingChallenges4",
            Type = "Hunting",
            QuestArgs = 
            {
                true,
                "Reptile"
            },
            Count = 20,
            Name = "Reptile",
            NamePlural = "Reptiles",
        },
        Instructions = "Kill [F2F5A9]20 reptiles[-] throughout [F2F5A9]New Celeador[-].",
    },

    { -- 5
        Name = "They Do, in the Woods.",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 25,
            Key = "HuntingChallenges5",
            Type = "Hunting",
            QuestArgs = 
            {
                { "dire_bear", "grizzly_bear", "brown_bear", "black_bear", "great_bear", "rabid_bear" },
                true
            },
            Count = 20,
            Name = "Bear",
            NamePlural = "Bears",
        },
        Instructions = "Kill [F2F5A9]20 bears[-] (excluding arctic bears) throughout [F2F5A9]New Celeador[-].",
    },

    { -- 6
        Name = "Chilly Hunters",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 25,
            Key = "HuntingChallenges6",
            Type = "Hunting",
            QuestArgs = 
            {
                true,
                "TundraPredator"
            },
            Count = 20,
            Name = "Predator",
            NamePlural = "Predators",
        },
        Instructions = "Kill [F2F5A9]predators[-] in [F2F5A9]The Frozen Tundra[-].",
    },

    { -- 7
        Name = "Little Green Menace",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 25,
            Key = "HuntingChallenges7",
            Type = "Hunting",
            QuestArgs = 
            {
                true,
                "Goblin"
            },
            Count = 20,
            Name = "Goblin",
            NamePlural = "Goblins",
        },
        Instructions = "Kill [F2F5A9]20 goblins[-] throughout [F2F5A9]New Celeador[-].",
    },
    
}
AllQuests.PVPChallenges = 
{
    { -- 1
        Name = "Crushing Sprites",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            PVPTokens = 25,
            Key = "PVPChallenges1",
            Type = "Hunting",
            Region = "WaterfallMine",
            QuestArgs = 
            {
                { "rock_sprite" },
                true
            },
            Count = 20,
            Name = "Rock Sprite",
            NamePlural = "Rock Sprites",
        },
        Instructions = "Kill [F2F5A9]20 Rock Sprites[-] in the [F2F5A9]Misty Caverns[-].",
    },

    { -- 2
        Name = "Grinding Golems",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            PVPTokens = 25,
            Key = "PVPChallenges2",
            Type = "Hunting",
            Region = "WaterfallMine",
            QuestArgs = 
            {
                { "rock_golem" },
                true
            },
            Count = 10,
            Name = "Rock Golem",
            NamePlural = "Rock Golems",
        },
        Instructions = "Kill [F2F5A9]10 Rock Golems[-] in the [F2F5A9]Misty Caverns[-].",
    },

    { -- 3
        Name = "Dousing Golems",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            PVPTokens = 25,
            Key = "PVPChallenges3",
            Type = "Hunting",
            Region = "WaterfallMine",
            QuestArgs = 
            {
                { "lava_golem" },
                true
            },
            Count = 1,
            Name = "Lava Golem",
            NamePlural = "Lava Golems",
        },
        Instructions = "Kill a[F2F5A9]Lava Golem[-] in the [F2F5A9]Misty Caverns[-].",
    },

    { -- 4
        Name = "Rocks to Dust",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            PVPTokens = 75,
            Key = "PVPChallenges4",
            Type = "Hunting",
            Region = "WaterfallMine",
            QuestArgs = 
            {
                true,
                "Golem"
            },
            Count = 40,
            Name = "Golem",
            NamePlural = "Golems",
        },
        Instructions = "Kill [F2F5A9]40 golems[-] in the [F2F5A9]Misty Caverns[-].",
    },

    { -- 5
        Name = "A Mighty Harvest",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            PVPTokens = 50,
            Key = "PVPChallenges5",
            Type = "Gathering",
            Region = "WaterfallMine",
            QuestArgs = 
            {
                "Mining",
                { "IronOre", "CopperOre", "GoldOre", "CobaltOre", "ObsidianOre" }
            },
            Count = 100,
            Name = "Ore (PVP)",
            NamePlural = "Ore (PVP)",
        },
        Instructions = "Mine [F2F5A9]100 ore[-] from the [F2F5A9]Misty Caverns[-].",
    },

    { -- 6
        Name = "Not In My House!",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            PVPTokens = 50,
            Key = "PVPChallenges6",
            Type = "DynamicSpawn",
            Region = "WaterfallMine",
            QuestArgs = 
            {
                { "KilledMonster" }
            },
            Count = 40,
            Name = "Enemies Slain (PVP)",
            NamePlural = "Enemies Slain (PVP)",
        },
        Instructions = "Slay [F2F5A9]20 enemies[-] at a [F2F5A9]dynamic spawn[-] event in the [F2F5A9]Misty Caverns[-].",
    },

    { -- 7
        Name = "RUUUNN!",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            PVPTokens = 75,
            Key = "PVPChallenges7",
            Type = "DynamicSpawn",
            Region = "WaterfallMine",
            QuestArgs = 
            {
                { "KilledBoss" }
            },
            Count = 1,
            Name = "Bosses Slain (PVP)",
            NamePlural = "Bosses Slain (PVP)",
        },
        Instructions = "Slay a [F2F5A9]boss[-] at a [F2F5A9]dynamic spawn[-] event in the [F2F5A9]Misty Caverns[-].",
    },
}
AllQuests.CraftingChallenges = 
{
    { -- 1
        Name = "Ingots",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 25,
            Key = "CraftingChallenges1",
            Type = "Crafting",
            QuestArgs = 
            {
                "Resources",
                { "resource_iron", "resource_copper", "resource_gold", "resource_cobalt", "resource_obsidian" }
            },
            Count = 100,
            Name = "Ingot",
            NamePlural = "Ingots",
        },
        Instructions = "Craft [F2F5A9]100 ingots[-] at an anvil.",
    },

    { -- 2
        Name = "Boards",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 25,
            Key = "CraftingChallenges2",
            Type = "Crafting",
            QuestArgs = 
            {
                "Resources",
                { "resource_boards", "resource_boards_ash", "resource_blightwood_boards" }
            },
            Count = 100,
            Name = "Board",
            NamePlural = "Boards",
        },
        Instructions = "Craft [F2F5A9]100 boards[-] at an carpentry table.",
    },

    { -- 3
        Name = "Textiles",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 25,
            Key = "CraftingChallenges3",
            Type = "Crafting",
            QuestArgs = 
            {
                "Resources",
                { "resource_bolt_of_cloth", "resource_bolt_of_cloth_quilted", "resource_silk_cloth", "resource_leather", "resource_beast_leather", "resource_vile_leather" }
            },
            Count = 500,
            Name = "Textile",
            NamePlural = "Textiles",
        },
        Instructions = "Craft [F2F5A9]100 cloth or leather[-] at a loom.",
    },

    { -- 4
        Name = "Potions",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 25,
            Key = "CraftingChallenges4",
            Type = "Crafting",
            QuestArgs = 
            {
                "Potions",
                true
            },
            Count = 20,
            Name = "Potion",
            NamePlural = "Potions",
        },
        Instructions = "Craft [F2F5A9]20 potions[-] at an alchemy table.",
    },

    { -- 5
        Name = "Scrolls",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 25,
            Key = "CraftingChallenges5",
            Type = "Crafting",
            QuestArgs = 
            {
                "Scrolls",
                true
            },
            Count = 20,
            Name = "Scroll",
            NamePlural = "Scrolls",
        },
        Instructions = "Craft [F2F5A9]20 scrolls[-] at an inscription table.",
    },

    { -- 6
        Name = "Meals",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 25,
            Key = "CraftingChallenges6",
            Type = "Crafting",
            QuestArgs = 
            {
                "Food",
                true
            },
            Count = 20,
            Name = "Meal",
            NamePlural = "Meals",
        },
        Instructions = "Cook [F2F5A9]20 meals[-] using a cooking pot.",
    },

    { -- 7
        Name = "Weapons",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 25,
            Key = "CraftingChallenges7",
            Type = "Crafting",
            QuestArgs = 
            {
                "Weapons",
                true,
                true,
            },
            Count = 20,
            Name = "Weapon",
            NamePlural = "Weapons",
        },
        Instructions = "Craft [F2F5A9]20 weapons[-].",
    },

    { -- 8
        Name = "Armor",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 25,
            Key = "CraftingChallenges8",
            Type = "Crafting",
            QuestArgs = 
            {
                "Armor",
                true,
                true,
            },
            Count = 20,
            Name = "Armor",
            NamePlural = "Armor",
        },
        Instructions = "Craft [F2F5A9]20 armor[-].",
    },

}
AllQuests.GatheringChallenges = 
{
    { -- 1
        Name = "Lumberjacking",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 25,
            Key = "GatheringChallenges1",
            Type = "Gathering",
            QuestArgs = 
            {
                "Lumberjacking",
                true
            },
            Count = 100,
            Name = "Wood",
            NamePlural = "Wood",
        },
        Instructions = "Chop [F2F5A9]100 wood[-].",
    },

    { -- 2
        Name = "Mining",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 25,
            Key = "GatheringChallenges2",
            Type = "Gathering",
            QuestArgs = 
            {
                "Mining",
                { "IronOre", "CopperOre", "GoldOre", "CobaltOre", "ObsidianOre" }
            },
            Count = 100,
            Name = "Ore",
            NamePlural = "Ore",
        },
        Instructions = "Mine [F2F5A9]100 ore[-].",
    },

    { -- 3
        Name = "Hides & Silk",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 25,
            Key = "GatheringChallenges3",
            Type = "Harvesting",
            QuestArgs = 
            {
                {"Skinning", "BareHands"},
                { "animalparts_leather_hide", "animalparts_beast_leather_hide", "animalparts_vile_leather_hide", "animalparts_spider_silk", "LeatherHide", "BeastLeatherHide", "VileLeatherHide", "Silk" }
            },
            Count = 25,
            Name = "Hide/Silk",
            NamePlural = "Hides/Silk",
        },
        Instructions = "Skin [F2F5A9]25 hides or silk[-] from corpses.",
    },

    { -- 4
        Name = "Meat",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 25,
            Key = "GatheringChallenges4",
            Type = "Harvesting",
            QuestArgs = 
            {
                "Skinning",
                { "animalparts_mystery_meat", "animalparts_stringy_meat", "animalparts_tough_meat", "animalparts_tender_meat", "animalparts_gourmet_meat" }
            },
            Count = 50,
            Name = "Meat",
            NamePlural = "Meat",
        },
        Instructions = "Skin [F2F5A9]50 meat[-] from corpses.",
    },

    { -- 5
        Name = "Cotton",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 25,
            Key = "GatheringChallenges5",
            Type = "Harvesting",
            QuestArgs = 
            {
                "BareHands",
                { "Cotton", "CottonFluffy", "FieldCotton", "BarrensCotton", "BarrensCottonFluffy", "FieldCottonFluffy" }
            },
            Count = 50,
            Name = "Cotton",
            NamePlural = "Cotton",
        },
        Instructions = "Pick [F2F5A9]50 cotton or fluffy cotton[-].",
    },

    { -- 6
        Name = "Fishing",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 25,
            Key = "GatheringChallenges6",
            Type = "Gathering",
            QuestArgs = 
            {
                "Fishing",
                { "resource_fish_barrel", "resource_fish_tero", "resource_fish_spotted_tero", "resource_fish_razor", "resource_fish_aether" }
            },
            Count = 20,
            Name = "Fish",
            NamePlural = "Fish",
        },
        Instructions = "Catch [F2F5A9]20 fish[-].",
    },

    { -- 7
        Name = "Seeds",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 25,
            Key = "GatheringChallenges7",
            Type = "Harvesting",
            QuestArgs = 
            {
                "Skinning",
                { "seed_onion", "seed_carrot", "seed_strawberry", "seed_corn", "seed_squash", "seed_greenleaflettuce", "seed_redleaflettuce", "seed_buttonmushroom", "seed_melon", "seed_greenpepper", "seed_cucumber", "seed_eggplant" }
            },
            Count = 20,
            Name = "Seed",
            NamePlural = "Seeds",
        },
        Instructions = "Skin [F2F5A9]20 seeds[-] from corpses.",
    },

    { -- 8
        Name = "Reagents",
        Cooldown = TimeSpan.FromHours(1),
        HideTracking = true,
        QuestData = {
            Tokens = 25,
            Key = "GatheringChallenges8",
            Type = "Harvesting",
            QuestArgs = 
            {
                "BareHands",
                { "Ginseng", "LemonGrass", "Mushrooms", "Moss" }
            },
            Count = 50,
            Name = "Reagent",
            NamePlural = "Reagents",
        },
        Instructions = "Pick [F2F5A9]50 reagents (lemon grass, moss, ginseng, or mushrooms)[-].",
    },
}