require 'default:player'

-------------------------------------------------------------
-- RegionEffects Objects
-------------------------------------------------------------
RegionEffects = {}
RegionEffects.EffectTypes = {}
RegionEffects.Helpers = {}
RegionEffects.Regions = {}
RegionEffects.TooltipColors = {}

-------------------------------------------------------------
-- RegionEffects Effect Types
-------------------------------------------------------------
RegionEffects.EffectTypes =
{
	Debuff = "Debuff",
	Buff = "Buff",
}

-------------------------------------------------------------
-- Helpers Functions
-------------------------------------------------------------

-- tells us if the player is in a region that has effects
RegionEffects.Helpers.ZoneCheck = function (player)
	-- is player in region?
	-- loop through the RegionEffects.Regions table
	for regionKeyName,regionKeyTable in pairs(RegionEffects.Regions) do
		-- loop through the regionKeyTable
		for regionEffect,regionEffectTable in pairs(regionKeyTable) do
			if(regionEffectTable.Active == true) then

			else

			end
		end
	end
	if(player:IsInRegion("Arena")) then

	end
	return false
end

-------------------------------------------------------------
-- Region Tables
-------------------------------------------------------------
RegionEffects.Regions["Upper Plains"] = {}
RegionEffects.Regions["Upper Plains"]["Wind of Allune"] =
{
	{	
		Active = true,
		-- used for buff/debuff icon identification
		Name = "Wind of Allune",
		-- lets the buff icon functions know what colors to use
		EffectType = RegionEffects.EffectTypes.Buff,
		-- the tooltip and icon information for the buff/debuff
		Tooltip = 
		{
			Icon = "fireball",
			Title = "Wind of Allune",
			Text = "The spirt of Allune fills you with grace, accuracy and a boost in your step."
		},
		-- the mobile effects applied to the player when entering this region
		MobileMods =
		{
			{MobileMod="AccuracyPlus", Value = 8},
			{MobileMod="EvasionPlus", Value = 6},
			{MobileMod="MoveSpeedPlus", Value = 0.25},
		},
	},
}

-------------------------------------------------------------
-- RegionEffects Tooltip Colors
-------------------------------------------------------------
RegionEffects.TooltipColors =
{
	Debuff =
	{
		TitleColor = "942335", -- red
		TextColor = "EE8833", -- orange
	},
	Buff =
	{
		TitleColor = "23A335", -- green
		TextColor = "779944", -- lite green
	},
}

-------------------------------------------------------------
-- Player.lua override to insert a check for the regionsbuffs
-------------------------------------------------------------
basePerformPlayerShortTick = PerformPlayerShortTick
function PerformPlayerShortTick()
	-- run the core base tick
	basePerformPlayerShortTick()
	RegionEffects.Helpers.ZoneCheck( this )
end


-------------------------------------------------------------
-- Player.lua override to insert 1 character per account
-------------------------------------------------------------
baseInitializePlayer = InitializePlayer
function InitializePlayer()
    -- this is just a key string can be anything you want
    local charKeyString = "charkey_" .. this:GetAttachedUserId()
    -- lets check for the global record
    local hasCharacter = GlobalVarRead(charKeyString)
    if not(hasCharacter) then
        -- 1st character created so write string and continue to initialize the player
        GlobalVarWrite(charKeyString, nil, function(record) return true end)
        baseInitializePlayer()
    else
        -- 2nd character created so kick the player and delete the character
        local clusterController = GetClusterController()
        clusterController:SendMessage("UserLogout", this, true);
        this:DeleteCharacter()        
    end    
end