--- this is called from the engine_callbacks.lua
-- @param user - (GameObject) the object that used this object either by double elicking it, or using the right click contenxt menu
-- @param usedType - (String) the context menu used by the player or defaults to "Use"
function HandleUseObjectMessage(user,usedType)
    if(usedType == "Use") then
        -- player double clicked
        -- if door is open close it
        -- if door is closed open it
        -- do not do this if its locked
    elseif(usedType == "Open/Close") then
        -- player used open/closed option
        -- if door is open, close it
        -- if door is closed open it
        -- only do this if its unlocked
    elseif(usedType == "Lock/Unlock") then
        -- owner used the lock/unlock option
        -- objvar Locked = ~Locked
    end
end

function HandleModuleAttached()
    AddUseCase(this,"Open/Close")
    -- "HasHouseControl" is found in engine_callbacks.lua
    -- as well as all the other addusecase restrictions
    AddUseCase(this,"Lock/Unlock",false,"HasHouseControl")
end

RegisterEventHandler(EventType.ModuleAttached, GetCurrentModule(), HandleModuleAttached) 
RegisterEventHandler(EventType.Message, "UseObject", HandleUseObjectMessage)
