require 'default:scriptcommands'

-- UPDATES
-- Version 1.1
-- Tought the Clip command to read objvars or replace them with defaults
-- Design in game, then clip when done. If it has properties that are required
-- like dungeon_teleporter, portal, portal_red, simple_mob_spanwer, mega_spawner
-- it will auto fill the data, no more clip then editing the fields manually.

function GetClipTarget()
	this:SystemMessage("target a object you want to clip to the clip board")
	this:RequestClientTargetGameObj(this, "targetToClip")
end

function HandleClipTarget(target,user)
	if(target==nil) then return end

	local clipString = ""
	local finalString = ""
	local template = target:GetCreationTemplateId()
	local location = target:GetLoc()
	local rotation = target:GetRotation()
	local scale = target:GetScale()
	local dynamicObjectElement = xml.new("DynamicObject")
    local creationParams = template .. " " .. 
                           location.X .. " " ..
                           location.Y .. " " ..
                           location.Z .. " " ..
                           rotation.X .. " " ..
                           rotation.Y .. " " ..
                           rotation.Z .. " " ..
                           scale.X .. " " ..
                           scale.Y .. " " ..
                           scale.Z
    -- add the objectcreationparams element and element data
    dynamicObjectElement:append("ObjectCreationParams")[1] = creationParams
    if(template == "simple_mob_spawner" or template == "mega_spawner") then
    	local objVarOverridesElement = xml.new("ObjVarOverrides")
    	local spawnTemplateElement = xml.new("StringVariable")
    	local spawnDelayElement = xml.new("DoubleVariable")
    	local spawnCountElement = xml.new("DoubleVariable")
    	local spawnRadiusElement = xml.new("DoubleVariable") 
			local spawnRegionsElement = xml.new("StringVariable")
			local spawnTableElement = xml.new("StringVariable")
			local spawnRareTemplateElement = xml.new("StringVariable")
			local spawnRareTableElement = xml.new("StringVariable")
			local spawnRareChanceElement = xml.new("DoubleVariable")

			-- spawnTemplate
			if(target:HasObjVar("spawnTemplate")) then
				spawnTemplateElement[1] = target:GetObjVar("spawnTemplate") or "NOTHING"
				spawnTemplateElement["Name"] = "spawnTemplate"
				objVarOverridesElement:append(spawnTemplateElement)
			end
			-- spawnDelay
			if(target:HasObjVar("spawnDelay")) then
				spawnDelayElement[1] = target:GetObjVar("spawnDelay") or 300 
				spawnDelayElement["Name"] = "spawnDelay"
				objVarOverridesElement:append(spawnDelayElement)
			end
			--spawnCount
			if(target:HasObjVar("spawnCount")) then
				spawnCountElement[1] = target:GetObjVar("spawnCount") or 1 
				spawnCountElement["Name"] = "spawnCount"
				objVarOverridesElement:append(spawnCountElement)
			end
			--spawnRadius
			if(target:HasObjVar("spawnRadius")) then
				spawnRadiusElement[1] = target:GetObjVar("spawnRadius") or 1 
				spawnRadiusElement["Name"] = "spawnRadius"
				objVarOverridesElement:append(spawnRadiusElement)
			end
			if(template == "mega_spawner") then
				--spawnTable
				if(target:HasObjVar("spawnTable")) then
					spawnTableElement[1] = target:GetObjVar("spawnTable") or "NOTHING"  
					spawnTableElement["Name"] = "spawnTable"
					objVarOverridesElement:append(spawnTableElement)
				end
				--spawnRegions
				if(target:HasObjVar("spawnRegions")) then
					spawnRegionsElement[1] = target:GetObjVar("spawnRegions") or "NOTHING"  
					spawnRegionsElement["Name"] = "spawnRegions"
					objVarOverridesElement:append(spawnRegionsElement)
				end				
				--spawnRareTemplate
				if(target:HasObjVar("spawnRareTemplate")) then
					spawnRareTemplateElement[1] = target:GetObjVar("spawnRareTemplate") or "NOTHING"  
					spawnRareTemplateElement["Name"] = "spawnRareTemplate"
					objVarOverridesElement:append(spawnRareTemplateElement)
				end
				--spawnRareTable
				if(target:HasObjVar("spawnRareTable")) then
					spawnRareTableElement[1] = target:GetObjVar("spawnRareTable") or "NOTHING"  
					spawnRareTableElement["Name"] = "spawnRareTable"
					objVarOverridesElement:append(spawnRareTableElement)
				end
				--spawnRareChance
				if(target:HasObjVar("spawnRareChance")) then
					spawnRareChanceElement[1] = target:GetObjVar("spawnRareChance") or 0.01  
					spawnRareChanceElement["Name"] = "spawnRareChance"
					objVarOverridesElement:append(spawnRareChanceElement)
				end				
			end
			dynamicObjectElement:append(objVarOverridesElement)
		end    

		if(template == "portal" or template == "portal_red") then
			local objVarOverridesElement = xml.new("ObjVarOverrides")
			local destinationElement = xml.new("LocVariable")
			if(target:HasObjVar("Destination")) then
				destinationElement[1] = GetLocToString(target)
				destinationElement["Name"] = "Destination"
				objVarOverridesElement:append(destinationElement)
			end
			dynamicObjectElement:append(objVarOverridesElement)
		end

		if(template == "dungeon_teleporter") then
			local objVarOverridesElement = xml.new("ObjVarOverrides")
			local destinationElement = xml.new("LocVariable")
			local teleportRangeElement = xml.new("DoubleVariable")
			if(target:HasObjVar("Destination")) then
				destinationElement[1] = GetLocToString(target)
				destinationElement["Name"] = "Destination"
				objVarOverridesElement:append(destinationElement)
			end
			if(target:HasObjVar("TeleportRange")) then
				teleportRangeElement[1] = target:GetObjVar("TeleportRange") or 6
				teleportRangeElement["Name"] = "TeleportRange"
				objVarOverridesElement:append(teleportRangeElement)
			end
			dynamicObjectElement:append(objVarOverridesElement)
		end

    clipString = string.gsub(tostring(dynamicObjectElement),"&quot;","\"")
    finalString = AddIndentX2(clipString)
	io.popen('clip','w'):write(finalString):close()
	user:SystemMessage("Object Cliped CTRL+V To Paste","event")
end

function GetLocToString(gameObject)
	if(gameObject:HasObjVar("Destination")) then
		local destinationInfo = gameObject:GetObjVar("Destination")
		local destinationString = destinationInfo.X .. "," .. destinationInfo.Y .. "," .. destinationInfo.Z
		return destinationString
	end
	return "0,0,0"
end

function AddIndentX2(str)
  local result = {}
  local finalResult = ""
  for line in str:gmatch '[^\n]+' do
    table.insert(result, line)
  end
  for k,v in pairs(result) do
  	finalResult = finalResult .. "\t\t"..v.."\n"
  end
  return finalResult
end

RegisterEventHandler(EventType.ClientTargetGameObjResponse, "targetToClip", HandleClipTarget)

RegisterCommand { Command="clip",Category="GizmosTools",AccessLevel=AccessLevel.God,Func=GetClipTarget,Usage="<clientids>", Desc="Copies the objects data and formats it then pastes it to the clip board. This allows you to paste in your <dynamicobject> element block in your seedobjects.xml file." }

function ResetGlobalRecords()
	local eventId = uuid()
	RegisterSingleEventHandler(EventType.GlobalVarUpdateResult, eventId, function(success, name, record)
	  if ( callbackFunction ) then callbackFunction(success) end
	  end)

	GlobalVarWrite("RecordTables.LootPacks",nil, function(record)
		for k,v in pairs(TemplateDefines.LootTable) do
		 	print(k,v)
			record[k] = value
		end 
		return true 
	end)		
end

function ReadGlobalRecords()
	local record = GlobalVarRead("RecordTables.LootPacks")
	local rndRecord = math.random(1,#record)
	local lootEntry = math.random(1,#record[rndRecord].LootItems)
	local message = record[rndRecord].LootItems[lootEntry].Template or "BAD ARGS"
	this:SystemMessage(message)
end

RegisterCommand { Command="resetglobalrecords",Category="Global Tools",AccessLevel=AccessLevel.God,Func=ResetGlobalRecords,Usage="Resets the defined global tables", Desc="Reset the Global Data Tables example:(TemplatesDefines.LootTable)" }
RegisterCommand { Command="readglobalrecords",Category="Global Tools",AccessLevel=AccessLevel.God,Func=ReadGlobalRecords,Usage="Resets the defined global tables", Desc="Reset the Global Data Tables example:(TemplatesDefines.LootTable)" }
