require 'default:scriptcommands_mortal'

MortalCommandFuncs.DeleteChar = function ()
    local createdAt = this:GetObjVar("CreationDate")
    if ( createdAt ) then
        local totalTime = DateTime.UtcNow - createdAt
        local overrideExists = (this:GetObjVar("AllowCharDelete") ~= nil)
        if ( totalTime.TotalDays < ServerSettings.NewPlayer.MinimumDeleteDays and overrideExists == false) then
            this:SystemMessage("Your character must be at least "..ServerSettings.NewPlayer.MinimumDeleteDays.." days old before it can be deleted. This character has existed for "..TimeSpanToWords(totalTime)..".")
            return
        end
    end
    TextFieldDialog.Show
    {
        TargetUser = this,
        Title = "Delete Character",
        Description = "[$2467]",
        ResponseFunc = function(user,newValue)
            if(newValue == "DELETE") then
                -- remove from guild (function does nothing if not in a guild)
                GuildHelpers.Remove(this)

                local clusterController = GetClusterController()
                local charKeyString = "charkey_" .. this:GetAttachedUserId()
                clusterController:SendMessage("UserLogout", this, true);
                GlobalVarDelete(varName,nil)
                this:DeleteCharacter()
                
            else
                this:SystemMessage("Delete character cancelled")
            end
        end
    }
end